﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams.Extensions;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void settingsPane_LayoutUpdated(object sender, EventArgs e)
        {
            var popup = this.settingsPane.ChildrenOfType<System.Windows.Controls.Primitives.Popup>().FirstOrDefault();
            if (popup != null)
            {
                var paneView = popup.Child.ChildrenOfType<SettingsPaneView>().FirstOrDefault();
                if (paneView != null)
                {
                    var tabControl = paneView.ChildrenOfType<RadTabControl>().FirstOrDefault();
                    if (tabControl != null)
                    {
                        this.settingsPane.LayoutUpdated -= this.settingsPane_LayoutUpdated;
                        tabControl.Items.Add(new RadTabItem() { Header = "Custom Tab", Content = new TabContent() });
                    }
                }
            }
        }
    }
}
